Description

With the introduction of vendor namespaces support the directory structure has become quite deep:

Package "RobertLemke.Foo.Bar" would reside in:
Packages/Application/RobertLemke/Foo/Bar/Classes/...

As discussed during T3DD11 we'd rather have a more shallow directory structure which also simplifies cloning a package from git:
Packages/Application/RobertLemke.Foo.Bar/Classes/...

Associated revisions
Revision 8161d8f3 - 2011-07-14 16:55 - Robert Lemke

[TASK][!!!] Shallow directory structure for packages

This introduces a more shallow directory structure for packages.
Instead of having a corresponding directory for each PHP namespace
segment, the package key (e.g. "TYPO3.Kickstart") is now used as the
directory name, resulting in paths like
Packages/Application/TYPO3.Kickstart/Classes/Controller/...

Note that you will need to update the distribution as well to let it
point to the correct submodule paths.

Change-Id: I248324f803964d63465da6171ba04db9c41faf24
Resolves: #28132

History
#1 - 2011-07-12 17:28 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I248324f803964d63465da6171ba04db9c41faf24 has been pushed to the review server.
It is available at http://review.typo3.org/3287

#2 - 2011-07-13 17:34 - Mr. Hudson

Patch set 2 of change I248324f803964d63465da6171ba04db9c41faf24 has been pushed to the review server.
It is available at http://review.typo3.org/3287

#3 - 2011-07-14 16:55 - Mr. Hudson

Patch set 3 of change I248324f803964d63465da6171ba04db9c41faf24 has been pushed to the review server.
It is available at http://review.typo3.org/3287

#4 - 2011-07-14 17:05 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8161d8f38b7eaf18d762a7cb5f76875f737b92ee.
